clear all;
close all;
clc;

all_1740009 = importdata('error_all_540031.txt');
seks_1740009 = importdata('error_seks_tot_540031.txt');
seks_front_1740009 = importdata('error_seks_front_540031.txt');
seks_totre_1740009 = importdata('error_seks_totre_540031.txt');
fem_1740009 = importdata('error_fem_tot_540031.txt');


figure

subplot(5,1,1)
boxplot(all_1740009,'Notch','on','Orientation','horizontal','Widths',1)
axis([-72 6 0 2]);
title('a) All axles, GVW');

subplot(5,1,2)
boxplot(seks_1740009,'Notch','on','Orientation','horizontal','Widths',1)
axis([-72 6 0 2]);
title('b) Six axles, GVW');

subplot(5,1,3)
boxplot(seks_front_1740009,'Notch','on','Orientation','horizontal','Widths',1)
axis([-72 6 0 2]);
title('c) Six axles, front axle');

subplot(5,1,4)
boxplot(seks_totre_1740009,'Notch','on','Orientation','horizontal','Widths',1)
axis([-72 6 0 2]);
title('d) Six axles, 2nd and 3rd axles');

subplot(5,1,5)
boxplot(fem_1740009,'Notch','on','Orientation','horizontal','Widths',1)
axis([-72 6 0 2]);
title('e) Five axles, GVW');



xlabel('Error [%]');

