clear all;
close all;
clc;

seks_tot_1740009 = importdata('error_all_1740009.txt');
seks_tot_1740104_1 = importdata('error_all_1740104_1.txt');
seks_tot_1740104_2 = importdata('error_all_1740104_2.txt');
seks_tot_540032 = importdata('error_all_540032.txt');
seks_tot_540031 = importdata('error_all_540031.txt');
seks_tot_540109 = importdata('error_all_540109.txt');

group1 = (seks_tot_1740009);
group2 = (seks_tot_1740104_1);
group3 = (seks_tot_1740104_2);
group4 = (seks_tot_540032);
group5 = (seks_tot_540031);
group6 = (seks_tot_540109);

groups = [group1 group2 group3 group4 group5 group6];

names = {'gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1',...
    'gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1',...
    'gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1',...
    'gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1','gp1',...
    'gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2',...
    'gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2','gp2',...
    'gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3',...
    'gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3',...
    'gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3',...
    'gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3','gp3',...
    'gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4',...
    'gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4',...
    'gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4',...
    'gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp4','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5',...
    'gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5',...
    'gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5',...
    'gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5','gp5',...
    'gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6',...
    'gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6',...
    'gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6',...
    'gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6','gp6'};

names2 = [];
for i = 1:length(names)
    if names{i} == 'gp1'
        names2{i} = 'WIM 1740009';
    elseif names{i} == 'gp2'
        names2{i} = 'WIM 1740104(1)';
    elseif names{i} == 'gp3'
        names2{i} = 'WIM 1740104(2)';
    elseif names{i} == 'gp4'
        names2{i} = 'WIM 540032';
    elseif names{i} == 'gp5'
        names2{i} = 'WIM 540031';
    elseif names{i} == 'gp6'
        names2{i} = 'WIM 540109'  ;  
    end
end
 
[p,tbl,stats] = anova1(groups, names2);
    c = multcompare(stats);