clear all;
close all;
clc;
tic
% Define an error variable (0 = ok, 1 = error)
Error = 0;
% Open file
fid = fopen('seksaks_2.txt');
% Check if open was successful
if fid == -1
% Open failed
    Error = 1;
        disp ('ERROR open');
else
% Open was successful ==> read line by line until end-of-file (eof)
disp ('Read file and split lines into elements');
linecounter = 1;
while feof(fid) == 0
    tline = fgets(fid);
    % Convert German ',' in numbers into English '.' representation
    for index = 1:length(tline)
        if tline(index) == ','
        tline(index) = '.';
        end
    if tline(index) == ''
    tline(index) = 0;
    end
end
clear index;
% Delete the headlines and
% separate the single entries,
% using the delimiter '\t' (tabulator)
    if (linecounter > 0 )
    ValuesCellMatrix(linecounter,:) = strsplit (tline, '\t');
    %disp(tline);

    linecounter = linecounter + 1;
    end
end
fclose(fid);
clear ans;
clear linecounter;
clear tline;
end

SizeOfValuesCellMatrix = size(ValuesCellMatrix);
Values = zeros (SizeOfValuesCellMatrix(1,1),SizeOfValuesCellMatrix(1,2)-1);
for RowCounter=1:SizeOfValuesCellMatrix(1,1)
    for ColCounter=1:SizeOfValuesCellMatrix(1,2)
        Values(RowCounter,ColCounter) = str2double(ValuesCellMatrix{RowCounter,ColCounter});
    end
end
clear ColCounter;
clear RowCounter;
clear ValuesCellMatrix;

%%Values er matrise for alle tallene.
%%Lager ny matrise for de riktige tallene som skal hentes ut.
matrise_1740104 = [];

%%Sjekker strrelsen p Values for  finne ut av loopen.ny
[m n] = size(Values);

%%Skal ta ut tallene i logikken og legge til i ny_matrise
for ii = 2:m-1
    if Values(ii,7) ~= 0 && Values(ii+1,7) ~= 0 && Values(ii-1,7) == 0
        matrise_1740104 = [matrise_1740104; Values(ii,7) Values(ii+1,7)];
    end
end



[xx_1740104,yy_1740104] = size(matrise_1740104);
xx_tot = xx_1740104;

hold on

% [p,S] = polyfit(matrise_1740104(:,1),matrise_1740104(:,2),1);
% [p2,S2] = polyfit(matrise_1740009(:,1),matrise_1740009(:,2),1);
% CI_1740104 = polyparci(p,S);
% CI_1740009 = polyparci(p2,S2);
% 
% [pp,SS,mu] = polyfit(matrise_1740009(:,1),matrise_1740009(:,2),1);
% [pp1,SS1,mu1] = polyfit(matrise_1740104(:,1),matrise_1740104(:,2),1);
% [y,delta] = polyval(pp,matrise_1740009(:,1),SS,mu);
% [y1,delta1] = polyval(pp1,matrise_1740009(:,1),SS1,mu1);



xlabel('Static weight [tonnes]');
ylabel('WIM weight and trendlines [tonnes]');
title(sprintf('GVW, six-axled vehicles. WIM 1740104. 18/3-2016 measurement \n n = %d',xx_tot))


p_1740104 = polyfit(matrise_1740104(:,1),matrise_1740104(:,2),1);
plot(matrise_1740104(:,1),matrise_1740104(:,2),'b+',matrise_1740104(:,1),polyval(p_1740104,matrise_1740104(:,1)),'b-',1:50,1:50,'black')
legend('Single values',sprintf('Y = %f*X +%f',p_1740104(1),p_1740104(2)),'Y = X','Location','northwest')
%%legend(sprintf('Y = %f*X +%f',p_1740104(1),p_1740104(2)),sprintf('Y = %f*X +%f',p_1740009(1),p_1740009(2)))




hold off

toc



