clear all;
close all;
clc;
tic
% Define an error variable (0 = ok, 1 = error)
Error = 0;
% Open file
fid = fopen('alle_aks.txt');
% Check if open was successful
if fid == -1
% Open failed
    Error = 1;
        disp ('ERROR open');
else
% Open was successful ==> read line by line until end-of-file (eof)
disp ('Read file and split lines into elements');
linecounter = 1;
while feof(fid) == 0
    tline = fgets(fid);
    % Convert German ',' in numbers into English '.' representation
    for index = 1:length(tline)
        if tline(index) == ','
        tline(index) = '.';
        end
    if tline(index) == ''
    tline(index) = 0;
    end
end
clear index;
% Delete the headlines and
% separate the single entries,
% using the delimiter '\t' (tabulator)
    if (linecounter > 0 )
    ValuesCellMatrix(linecounter,:) = strsplit (tline, '\t');
    %disp(tline);

    linecounter = linecounter + 1;
    end
end
fclose(fid);
clear ans;
clear linecounter;
clear tline;
end

SizeOfValuesCellMatrix = size(ValuesCellMatrix);
Values = zeros (SizeOfValuesCellMatrix(1,1),SizeOfValuesCellMatrix(1,2)-1);
for RowCounter=1:SizeOfValuesCellMatrix(1,1)
    for ColCounter=1:SizeOfValuesCellMatrix(1,2)
        Values(RowCounter,ColCounter) = str2double(ValuesCellMatrix{RowCounter,ColCounter});
    end
end
clear ColCounter;
clear RowCounter;
clear ValuesCellMatrix;

%%Values er matrise for alle tallene.
%%Lager ny matrise for de riktige tallene som skal hentes ut.
matrise_1740104 = [];
matrise_1740009 = [];
%%Sjekker strrelsen p Values for  finne ut av loopen.ny
[m n] = size(Values);

%%Skal ta ut tallene i logikken og legge til i ny_matrise
for ii = 1:m
    if Values(ii,1) == 1740104 && Values(ii,2) ~= 0
        matrise_1740104 = [matrise_1740104; Values(ii-1,2) Values(ii,2)];
    end
end

for iii = 1:m
    if Values(iii,1) == 1740009 && Values(iii,2) ~= 0
        matrise_1740009 = [matrise_1740009; Values(iii-2,2) Values(iii,2)];
    end
end

[xx_1740104,yy_1740104] = size(matrise_1740104);
[xx_1740009,yy_1740009] = size(matrise_1740009);

hold on
%p_1740104 = polyfit(matrise_1740104(:,1),matrise_1740104(:,2),1);
%plot(matrise_1740104(:,1),matrise_1740104(:,2),'b+',matrise_1740104(:,1),polyval(p_1740104,matrise_1740104(:,1)),'b-')
xlabel('Static weight [tonnes]');
ylabel('WIM weight and trend line [tonnes]');
title(sprintf('GVW, all-axled vehicles. WIM 1740009. 11/11-2015 measurement \n n = %d',xx_1740009))


p_1740009 = polyfit(matrise_1740009(:,1),matrise_1740009(:,2),1);
plot(matrise_1740009(:,1),matrise_1740009(:,2),'r*',matrise_1740009(:,1),polyval(p_1740009,matrise_1740009(:,1)),'r-',1:60,1:60,'black')
%%legend('','1740104','','1740009','Location','northwest')
legend('Single values',sprintf('Y = %f*X +%f',p_1740009(1),p_1740009(2)),'Y = X','Location','northwest')

%%plot(1:60,1:60,'black')


hold off

toc



