clear all;
close all;
clc;
tic
% Define an error variable (0 = ok, 1 = error)
Error = 0;
% Open file
fid = fopen('alleaks_3.txt');
% Check if open was successful
if fid == -1
% Open failed
    Error = 1;
        disp ('ERROR open');
else
% Open was successful ==> read line by line until end-of-file (eof)
disp ('Read file and split lines into elements');
linecounter = 1;
while feof(fid) == 0
    tline = fgets(fid);
    % Convert German ',' in numbers into English '.' representation
    for index = 1:length(tline)
        if tline(index) == ','
        tline(index) = '.';
        end
    if tline(index) == ''
    tline(index) = 0;
    end
end
clear index;
% Delete the headlines and
% separate the single entries,
% using the delimiter '\t' (tabulator)
    if (linecounter > 0 )
    ValuesCellMatrix(linecounter,:) = strsplit (tline, '\t');
    %disp(tline);

    linecounter = linecounter + 1;
    end
end
fclose(fid);
clear ans;
clear linecounter;
clear tline;
end

SizeOfValuesCellMatrix = size(ValuesCellMatrix);
Values = zeros (SizeOfValuesCellMatrix(1,1),SizeOfValuesCellMatrix(1,2)-1);
for RowCounter=1:SizeOfValuesCellMatrix(1,1)
    for ColCounter=1:SizeOfValuesCellMatrix(1,2)
        Values(RowCounter,ColCounter) = str2double(ValuesCellMatrix{RowCounter,ColCounter});
    end
end
clear ColCounter;
clear RowCounter;
clear ValuesCellMatrix;

%%Values er matrise for alle tallene.
%%Lager ny matrise for de riktige tallene som skal hentes ut.
matrise_540032 = [];
matrise_540031 = [];
matrise_540109 = [];
%%Sjekker strrelsen p Values for  finne ut av loopen.ny
[m n] = size(Values);

%%Skal ta ut tallene i logikken og legge til i ny_matrise
for ii = 1:m
    if Values(ii,1) == 540032 && Values(ii,2) ~= 0
        matrise_540032 = [matrise_540032; Values(ii+3,2) Values(ii,2)];
    end
end

for iii = 1:m
    if Values(iii,1) == 540031 && Values(iii,2) ~= 0
        matrise_540031 = [matrise_540031; Values(iii+2,2) Values(iii,2)];
    end
end

for iiii = 1:m
    if Values(iiii,1) == 540109 && Values(iiii,2) ~= 0
        matrise_540109 = [matrise_540109; Values(iiii+1,2) Values(iiii,2)];
    end
end

[xx_540032,yy_1740104] = size(matrise_540032);
[xx_540031,yy_1740104] = size(matrise_540031);
[xx_540109,yy_1740104] = size(matrise_540109);

matrise_1740009 = importdata('matrise_1740009_alle_tot.txt');
matrise_1740104_1 = importdata('matrise_1740104_1_alle_tot.txt');
matrise_1740104_2 = importdata('matrise_1740104_2_alle_tot.txt');

p_1740009 = polyfit(matrise_1740009(:,1),matrise_1740009(:,2),1);
p_1740104_1 = polyfit(matrise_1740104_1(:,1),matrise_1740104_1(:,2),1);
p_1740104_2 = polyfit(matrise_1740104_2(:,1),matrise_1740104_2(:,2),1);
p_540032 = polyfit(matrise_540032(:,1),matrise_540032(:,2),1);
p_540031 = polyfit(matrise_540031(:,1),matrise_540031(:,2),1);
p_540109 = polyfit(matrise_540109(:,1),matrise_540109(:,2),1);

figure

subplot(3,2,1)
plot(matrise_1740009(:,1),matrise_1740009(:,2),'r+',matrise_1740009(:,1),polyval(p_1740009, matrise_1740009(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 1740009');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

subplot(3,2,2)
plot(matrise_1740104_1(:,1),matrise_1740104_1(:,2),'r+',matrise_1740104_1(:,1),polyval(p_1740104_1, matrise_1740104_1(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 1740104(1)');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

subplot(3,2,3)
plot(matrise_1740104_2(:,1),matrise_1740104_2(:,2),'r+',matrise_1740104_2(:,1),polyval(p_1740104_2, matrise_1740104_2(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 1740104(2)');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

subplot(3,2,4)
plot(matrise_540032(:,1),matrise_540032(:,2),'r+',matrise_540032(:,1),polyval(p_540032, matrise_540032(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 540032');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

subplot(3,2,5)
plot(matrise_540031(:,1),matrise_540031(:,2),'r+',matrise_540031(:,1),polyval(p_540031, matrise_540031(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 540031');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

subplot(3,2,6)
plot(matrise_540109(:,1),matrise_540109(:,2),'r+',matrise_540109(:,1),polyval(p_540109, matrise_540109(:,1)),0:80,0:80,'black','LineWidth',1.5);
title('WIM 540109');
ylabel('WIM weight [tonnes]');
xlabel('Static weight [tonnes]');
legend('SV','LRL','y = x','Location','northwest');

toc
