clear all;
close all;
clc;
tic
% Define an error variable (0 = ok, 1 = error)
Error = 0;
AA = importdata('seks_front_error.txt');
% Open file
fid = fopen('seksaks_2.txt');
% Check if open was successful
if fid == -1
% Open failed
    Error = 1;
        disp ('ERROR open');
else
% Open was successful ==> read line by line until end-of-file (eof)
disp ('Read file and split lines into elements');
linecounter = 1;
while feof(fid) == 0
    tline = fgets(fid);
    % Convert German ',' in numbers into English '.' representation
    for index = 1:length(tline)
        if tline(index) == ','
        tline(index) = '.';
        end
    if tline(index) == ''
    tline(index) = 0;
    end
end
clear index;
% Delete the headlines and
% separate the single entries,
% using the delimiter '\t' (tabulator)
    if (linecounter > 0 )
    ValuesCellMatrix(linecounter,:) = strsplit (tline, '\t');
    %disp(tline);

    linecounter = linecounter + 1;
    end
end
fclose(fid);
clear ans;
clear linecounter;
clear tline;
end

SizeOfValuesCellMatrix = size(ValuesCellMatrix);
Values = zeros (SizeOfValuesCellMatrix(1,1),SizeOfValuesCellMatrix(1,2)-1);
for RowCounter=1:SizeOfValuesCellMatrix(1,1)
    for ColCounter=1:SizeOfValuesCellMatrix(1,2)
        Values(RowCounter,ColCounter) = str2double(ValuesCellMatrix{RowCounter,ColCounter});
    end
end
clear ColCounter;
clear RowCounter;
clear ValuesCellMatrix;

%%Values er matrise for alle tallene.
%%Lager ny matrise for de riktige tallene som skal hentes ut.
matrise_1740104 = [];

%%Sjekker strrelsen p Values for  finne ut av loopen.ny
[m n] = size(Values);

%%Skal ta ut tallene i logikken og legge til i ny_matrise
for ii = 2:m-1
    if Values(ii,1) ~= 0 && Values(ii+1,1) ~= 0 && Values(ii-1,1) == 0
        matrise_1740104 = [matrise_1740104; Values(ii,1) Values(ii+1,1)];
    end
end


[xx_1740104,yy_1740104] = size(matrise_1740104);

xx_tot = xx_1740104;

%hold on
%%p_1740104 = polyfit(matrise_1740104(:,1),matrise_1740104(:,2),1);
%%plot(matrise_1740104(:,1),matrise_1740104(:,2),'b+',matrise_1740104(:,1),polyval(p_1740104,matrise_1740104(:,1)),'b-')
%xlabel('Static weight [tonnes]');
%ylabel('WIM weight and trend line [tonnes]');
%title(sprintf('6-axle vehicles. WIM 1740009 \n n = %d',xx_1740009))


%p_1740009 = polyfit(matrise_1740009(:,1),matrise_1740009(:,2),1);
%plot(matrise_1740009(:,1),matrise_1740009(:,2),'r*',matrise_1740009(:,1),polyval(p_1740009,matrise_1740009(:,1)),'r-',1:60,1:60,'black')
%legend('Single values',sprintf('Y = %f*X +%f',p_1740009(1),p_1740009(2)),'Y = X','Location','northwest')


%hold off

%%%relative error

for i = 1:xx_1740104
    error_1740104(i) = (matrise_1740104(i,2)- matrise_1740104(i,1))*100/matrise_1740104(i,1);
end


figure

subplot(1,2,1)
boxplot(AA, 'Labels','n = 20','Notch','on')
axis([0 2 -35 15])
ylabel('Error [%]');
title('11/11-2015 measurement');

[h,p] = ttest2(AA,error_1740104)

hold on;
subplot(1,2,2)
boxplot(error_1740104,'Labels','n = 42','Notch','on');
axis([0 2 -35 15])
title('18/3-2016 measurement');
hold off







